> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/zametki-piny/27.-mutaciya-sokhranit-note-privyazannuyu-k-soildataset.md).

# 27. Мутация: сохранить "Note", привязанную к "SoilDataset"

Эта мутация позволяет прикрепить Заметку к указанному НаборуДанныхПочвы.

* Заметка может быть связана с Участком через его уникальный идентификатор `fieldUuid` и к связанному НаборуДанныхПочвы через `soilDatasetUuid`.
* Координату Заметки можно задать с помощью `centroid` атрибута, для которого требуются определённые `latitude` и `longitude` значения.&#x20;
* Тип Заметки можно указать с помощью `тип` атрибута с допустимыми значениями `PLANNED` или `REAL`.&#x20;
* Описание Заметки можно указать с помощью `comment` атрибута. Если описание должно быть многострочным, `comment` должен содержать строку с символами переноса строки `\\n` чтобы разделять строки. Например: `"Первая строка. находится здесь\\nВторая строка находится здесь.\\nТретья строка находится здесь."`.

Примеры запросов можно найти ниже:

```graphql
мутация SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "Тестовая заметка, прикрепленная к НаборуДанныхПочвы",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    датаСоздания
    updatedDate
    тип
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутация SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "Первая строка. здесь\\nВторая строка здесь.\\nТретья строка здесь.",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    датаСоздания
    updatedDate
    тип
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/zametki-piny/27.-mutaciya-sokhranit-note-privyazannuyu-k-soildataset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
